﻿function OnInit(initData) {
    initData.name = 'ToggleTree';
    initData.version = '2024-08-14';
    initData.url = 'https://resource.dopus.com/t/customize-folder-tree-pane-autohide-on-window-resize/52224';
    initData.desc = 'Toggle folder tree by width/height ratio';
    initData.default_enable = true;
    initData.min_version = '12.0';
}

function OnListerResize(listerResizeData) {
    if (listerResizeData.action != 'resize') return;
    var cmd = DOpus.Create().Command();
    var ratio = listerResizeData.width / listerResizeData.height;
    cmd.RunCommand('Set TREE=' + (ratio < 1.5 ? 'off' : 'on'));
    // DOpus.Output(ratio);
}
